Package org.jfree.layouting

## Class DocumentContextUtility

- java.lang.Object
- - org.jfree.layouting.DocumentContextUtility

-     public class DocumentContextUtility
      extends java.lang.Object

  Creation-Date: 13.04.2006, 12:11:20
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getBaseResource​(DocumentContext context)` |
    `static java.util.Date` | `getDate​(DocumentContext context)` |
    `static LayoutStyle` | `getInitialStyle​(DocumentContext context)` |
    `static LocalizationContext` | `getLocalizationContext​(DocumentContext context)` |
    `static org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager​(DocumentContext context)` |
    `static StyleRuleMatcher` | `getStyleRuleMatcher​(DocumentContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseResource

          public static org.pentaho.reporting.libraries.resourceloader.ResourceKey getBaseResource​(DocumentContext context)

    - #### getLocalizationContext

          public static LocalizationContext getLocalizationContext​(DocumentContext context)

    - #### getResourceManager

          public static org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager​(DocumentContext context)

    - #### getDate

          public static java.util.Date getDate​(DocumentContext context)

    - #### getStyleRuleMatcher

          public static StyleRuleMatcher getStyleRuleMatcher​(DocumentContext context)

    - #### getInitialStyle

          public static LayoutStyle getInitialStyle​(DocumentContext context)